export declare class RestfulResponse<T = any> {
    code?: number;
    msg?: string;
    data?: T;
    meta?: any;
    constructor(options?: {
        code?: number;
        msg?: string;
        data?: T;
        meta?: any;
    });
    static success(data?: any, msg?: string): RestfulResponse<any>;
    static failure(msg?: string): RestfulResponse<any>;
}
